Bug 60573

Summary: Drop reason phrase of HTTP/1.1 100 (Expect: 100-continue)
Product: Tomcat 8 Reporter: Michael Osipov <michaelo>
Component: CatalinaAssignee: Tomcat Developers Mailing List <dev>
Status: RESOLVED FIXED    
Severity: enhancement    
Priority: P2    
Version: 8.5.x-trunk   
Target Milestone: ----   
Hardware: All   
OS: All   
Attachments: Drop reason phrase

Description Michael Osipov 2017-01-11 12:08:20 UTC
Created attachment 34609 [details]
Drop reason phrase

Tomcat 8.5 dropped optional reason phrases but HTTP/1.1 100 still sends it. Having all status code to be consistent, I have aligned Http11OutputBuffer's #sendAck() to #sendStatus(), dropping "Continue" on the Constants#ACK_BYTES. Also updated TestByteChunk which obviously validated HTTP/1.1 100 status line byte chunk.
Comment 1 Christopher Schultz 2017-01-11 22:43:45 UTC
Note to committers: please do not back-port this change to 8.0.x and earlier. I'd like to raise the issue of restoring the reason phrase to 8.0.x.
Comment 2 Michael Osipov 2017-01-12 08:35:14 UTC
(In reply to Christopher Schultz from comment #1)
> Note to committers: please do not back-port this change to 8.0.x and
> earlier. I'd like to raise the issue of restoring the reason phrase to 8.0.x.

I expect this for 8.5 and 9.0 only.
Comment 3 Michael Osipov 2017-01-20 13:30:39 UTC
Anyone willing to take a look at this trivial patch?
Comment 4 Michael Osipov 2017-02-10 09:54:46 UTC
Committers, this is trivial.
Comment 5 Mark Thomas 2017-03-06 12:35:56 UTC
Fixed in 9.0.x for 9.0.0.M18 onwards.

8.0.x has always sent the reason phrase.

It is 8.5.x where there is an open enhancement request to (optionally) restore the reason phrase. On the basis that that enhancement request will be implemented, I'm not planning on back-porting this fix to 8.5.x.
Comment 6 Michael Osipov 2017-03-06 12:59:59 UTC
(In reply to Mark Thomas from comment #5)
> Fixed in 9.0.x for 9.0.0.M18 onwards.
> 
> 8.0.x has always sent the reason phrase.
> 
> It is 8.5.x where there is an open enhancement request to (optionally)
> restore the reason phrase. On the basis that that enhancement request will
> be implemented, I'm not planning on back-porting this fix to 8.5.x.

I am are of the fact. I have created this issue for consistency. I personally do not care about the reason phrase. The mentioned firmwares on those embedded devices are just broken/non-compliant.